package com.storlead.framework.common.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Constraint(validatedBy = NotContainsValidator.class) // 绑定校验器
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.ANNOTATION_TYPE, ElementType.CONSTRUCTOR, ElementType.PARAMETER, ElementType.TYPE_USE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface  NeContains {
    String message() default "邮箱格式不正确";

    // 用来指定不能包含的字符串
    String value();

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
